#[allow(clippy::module_inception)]
mod compare;
mod compare_field;
mod diff;
mod elisp_fact;
mod macros;
mod sexp;
mod util;
pub use compare::run_anonymous_compare;
pub use compare::run_anonymous_compare_with_settings;
pub use compare::run_compare_on_file;
pub use compare::run_compare_on_file_with_settings;
pub use compare::silent_anonymous_compare;
pub use compare::silent_compare_on_file;
pub(crate) use compare_field::EmacsField;
pub(crate) use elisp_fact::ElispFact;
pub use sexp::sexp;
pub(crate) use sexp::unquote;
pub(crate) use sexp::TextWithProperties;
pub use sexp::Token;
pub(crate) use util::get_emacs_standard_properties;
pub(crate) use util::get_property;
pub(crate) use util::get_property_quoted_string;
pub(crate) use util::maybe_token_to_usize;
pub(crate) use util::EmacsStandardProperties;
